Improve filter rendering on narrow screens by replacing the layout tables with a flex layout

2023-12-11 06:01 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

The current query filters and options use HTML tables for the layout, which introduces issues with wide form elements on narrow

screens.

The attached patch which was extracted from Planio replaces the layout tables with a flex layout. The look and feel in desktop

browsers should stay unchanged, but on narrow screens like mobile phones filter rows that previously just exceeded the screen

width will now wrap to a new row.

Associated revisions

Revision 22574 - 2023-12-28 05:16 - Marius BĂLTEANU

Improves filter rendering on narrow screens by replacing the layout tables with a flex layout.

(#39806).

Patch by Jens Krämer (@jkraemer).

Revision 22606 - 2024-01-16 17:35 - Marius BĂLTEANU

Fix query columns selection in admin and my page (#39806).

Patch by Jens Krämer.

Revision 22607 - 2024-01-16 17:47 - Marius BĂLTEANU

Indentation fixes (#39806).

Patch by Jens Krämer.

Revision 22608 - 2024-01-16 17:48 - Marius BĂLTEANU

Fix query columns selection in time tracking settings page from admin (#39806).

Patch by Mizuki ISHIKAWA.

Revision 22610 - 2024-01-17 01:50 - Marius BĂLTEANU

Fix query columns selection in custom query form (#39806).

Patch by Mizuki ISHIKAWA.

Revision 23069 - 2024-09-23 04:14 - Go MAEDA

Fix: Ensure right margin for issue filter lines by adjusting max-width (#39806).

History

#1 - 2023-12-11 06:01 - Jens Krämer

- File 0001-replaces-query-filters-and-option-tables-with-a-flex.patch added

here's the patch :)

Also: this change has the potential to break plugins which use the changed partials and rely on the old table markup in their stylesheets or Javascript.

#2 - 2023-12-12 18:36 - Marius BĂLTEANU

2025-05-09 1/3

https://plan.io/redmine-hosting


- Target version set to 6.0.0

#3 - 2023-12-28 05:17 - Marius BĂLTEANU

- Tracker changed from Patch to Feature

- Subject changed from Improve filter rendering on narrow screens to Improve filter rendering on narrow screens by replacing the layout tables with a

flex layout

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

Committed, thanks!

#4 - 2023-12-28 05:19 - Marius BĂLTEANU

Jens Krämer wrote in #note-1:

Also: this change has the potential to break plugins which use the changed partials and rely on the old table markup in their stylesheets or

Javascript.

 Redmine 6.0.0 is a good moment to deliver this potential breaking change.

#5 - 2024-01-11 06:59 - Marius BĂLTEANU

- Status changed from Resolved to Closed

#6 - 2024-01-16 03:56 - Mizuki ISHIKAWA

- File actual.png added

- File expected.png added

Thanks for improving the layout. However, there seems to be one problem. The layout of the UI for selecting whether or not to display a column of

issues is broken due to this change.

Where the problem occurs:

Administration => Settings => Projects tab => Projects list defaults

Administration => Settings => Projects tab => Issues list defaults

My page => Add: Reported issues => Click setting icon

Expected Actual

expected.png actual.png 

#7 - 2024-01-16 04:28 - Jens Krämer

I'll look into this

#8 - 2024-01-16 05:00 - Jens Krämer

- File 0001-fix-query-columns-selection-in-admin-and-my-page-398.patch added

- File 0002-whitespace.patch added

attached is a patch that fixes the layout in all three places. second patch for whitespace / indentation.

#9 - 2024-01-16 05:08 - Mizuki ISHIKAWA

Jens Krämer wrote in #note-8:

attached is a patch that fixes the layout in all three places. second patch for whitespace / indentation.

 Thank you for fixing the problem so quickly! After applying the patch, I was able to verify that the problem was fixed on the three reported screens.

I found a problem with "Administration => Settings => Time tracking tab => Timelog list defaults" as well. Sorry I didn't report it first.

#10 - 2024-01-16 05:30 - Mizuki ISHIKAWA

- File 0003-fix-query-columns-selection-in-admin-time-tracking-settings.patch added

I fixed the issue with the Time tracking tab with reference to the patch in #note-8.

2025-05-09 2/3

https://www.redmine.org/versions/175


#11 - 2024-01-16 17:49 - Marius BĂLTEANU

All three patches committed, thank you for reporting and fixing those issues so quickly.

#12 - 2024-01-17 01:28 - Mizuki ISHIKAWA

- File 0004-fix-query-columns-selection-in-custom-query-form.patch added

Thank you for your commit. I found one more same problem and fixed it.

#13 - 2024-01-17 04:20 - Marius BĂLTEANU

Mizuki ISHIKAWA wrote in #note-12:

Thank you for your commit. I found one more same problem and fixed it.

 Thanks, committed.
